
.centered {
    margin:50px auto;
    text-align:center;
}

.button::-moz-focus-inner{
    border: 0;
    padding: 0;
}

.button{
    display:inline-block;
    padding:0.7em 1.7em;
    margin:0 0.3em 0.3em 0;
    border-radius:0.2em;
    box-sizing: border-box;
    text-decoration:none;
    font-family:'Roboto',sans-serif;
    font-weight:400;
    color:#555;
    text-align:center;
    position:relative;
}

.button:hover{
    background-color: #eee;
    color: #999;
}

.button:active{
    background: #e9e9e9;
    position: relative;
    top: 1px;
    text-shadow: none;
    -moz-box-shadow: 0 1px 1px rgba(0, 0, 0, .3) inset;
    -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, .3) inset;
    box-shadow: 0 1px 1px rgba(0, 0, 0, .3) inset;
}

.button[disabled], .button[disabled]:hover, .button[disabled]:active{
    border-color: #eaeaea;
    background: #fafafa;
    cursor: default;
    position: static;
    color: #999;
    /* Usually, !important should be avoided but here it's really needed :) */
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
    text-shadow: none !important;
}

/* Smaller buttons styles */

.button.small{
    padding: 4px 12px;
}

/* Larger buttons styles */

.button.large{
    padding: 12px 30px;
    text-transform: uppercase;
}

.button.large:active{
    top: 2px;
}

/* */

.button.green{
    background-color: #57a957;
    border-color: #57a957;
}

.button.green:hover{
    background-color: #62c462;
}

.button.green:active{
    background: #57a957;
}

/* */

.button.red{
    background-color: #ca3535;
    border-color: #c43c35;
}

.button.red:hover{
    background-color: #ee5f5b;
}

.button.red:active{
    background: #c43c35;
}

/* */

.button.blue{
    background-color: #269CE9;
    border-color: #269CE9;
}

.button.blue:hover{
    background-color: #70B9E8;
}

.button.blue:active{
    background: #269CE9;
}

/* */

.green[disabled], .green[disabled]:hover, .green[disabled]:active{
    border-color: #57A957;
    background: #57A957;
    color: #D2FFD2;
}

.red[disabled], .red[disabled]:hover, .red[disabled]:active{
    border-color: #C43C35;
    background: #C43C35;
    color: #FFD3D3;
}

.blue[disabled], .blue[disabled]:hover, .blue[disabled]:active{
    border-color: #269CE9;
    background: #269CE9;
    color: #93D5FF;
}

/* Group buttons */

.button-group,
.button-group li{
    display: inline-block;
    *display: inline;
    zoom: 1;
}

.button-group{
    font-size: 0; /* Inline block elements gap - fix */
    margin: 0;
    padding: 0;
    background: rgba(0, 0, 0, .1);
    border-bottom: 1px solid rgba(0, 0, 0, .1);
    padding: 7px;
    -moz-border-radius: 7px;
    -webkit-border-radius: 7px;
    border-radius: 7px;
}

.button-group li{
    margin-right: -1px; /* Overlap each right button border */
}

.button-group .button{
    font-size: 13px; /* Set the font size, different from inherited 0 */
    -moz-border-radius: 0;
    -webkit-border-radius: 0;
    border-radius: 0;
}

.button-group .button:active{
    -moz-box-shadow: 0 0 1px rgba(0, 0, 0, .2) inset, 5px 0 5px -3px rgba(0, 0, 0, .2) inset, -5px 0 5px -3px rgba(0, 0, 0, .2) inset;
    -webkit-box-shadow: 0 0 1px rgba(0, 0, 0, .2) inset, 5px 0 5px -3px rgba(0, 0, 0, .2) inset, -5px 0 5px -3px rgba(0, 0, 0, .2) inset;
    box-shadow: 0 0 1px rgba(0, 0, 0, .2) inset, 5px 0 5px -3px rgba(0, 0, 0, .2) inset, -5px 0 5px -3px rgba(0, 0, 0, .2) inset;
}

.button-group li:first-child .button{
    -moz-border-radius: 3px 0 0 3px;
    -webkit-border-radius: 3px 0 0 3px;
    border-radius: 3px 0 0 3px;
}

.button-group li:first-child .button:active{
    -moz-box-shadow: 0 0 1px rgba(0, 0, 0, .2) inset, -5px 0 5px -3px rgba(0, 0, 0, .2) inset;
    -webkit-box-shadow: 0 0 1px rgba(0, 0, 0, .2) inset, -5px 0 5px -3px rgba(0, 0, 0, .2) inset;
    box-shadow: 0 0 1px rgba(0, 0, 0, .2) inset, -5px 0 5px -3px rgba(0, 0, 0, .2) inset;
}

.button-group li:last-child .button{
    -moz-border-radius: 0 3px 3px 0;
    -webkit-border-radius: 0 3px 3px 0;
    border-radius: 0 3px 3px 0;
}

.button-group li:last-child .button:active{
    -moz-box-shadow: 0 0 1px rgba(0, 0, 0, .2) inset, 5px 0 5px -3px rgba(0, 0, 0, .2) inset;
    -webkit-box-shadow: 0 0 1px rgba(0, 0, 0, .2) inset, 5px 0 5px -3px rgba(0, 0, 0, .2) inset;
    box-shadow: 0 0 1px rgba(0, 0, 0, .2) inset, 5px 0 5px -3px rgba(0, 0, 0, .2) inset;
}